@import "variables";
@import "mixins";
@import "dropdown";

body {
  height: 100%;
  min-height: 100vh;
  font-family: $font;
  margin: 0;
  background-color: $bg_color;
  color: $text_color;
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;

  nav {
    ul {
      @include horizontal-list();
      flex-wrap: nowrap;
    }
  }

  .content {
    flex-grow: 4;
    padding: 1em;
    flex: 1;
  }

  footer {
    flex-shrink: 0;
    font-size: 70%;

    ul {
      @include horizontal-list();
      flex-wrap: nowrap;
      align-items: center;
    }
  }

  //buttons
  .nav_sign {
    .btn_sign_in {
      @include button();
    }

    .btn_sign_up {
      @include button();
      color: #023f63;
      background: #fff;
    }
  }
}